Subject: [OPSAWG] draft-spiegel-ippm-ioam-rawexport

From: <[email-masked]>
Date: Tue, 19 Mar 2024 00:40:48 +0000

Dear Justin, Dear OPSAWG and IPPM working groups

Thanks a lot for the presentation at IPPM. I believe that this work needs further refinement by defining also IPFIX entities for IOAM which allow a decomposition of each IOAM dimension fields, thus enabling IPFIX Flow Aggregation as described in RFC 7015 which is a requirement to scale out for IOAM DEX and Trace Option Type. I believe this should be performed after the working group adoption and me should move forward quickly since IOAM is now getting implemented by vendors and applied by operators.

While shepherding IPFIX at OPSAWG, I noticed that most discussions where around choosing the right data type and aligning with the IPFIX registry. Not so much about exposing the right dimensions from the data plane.

draft-ietf-opsawg-ipfix-on-path-telemetry is already adopted and well progressed at OPSAWG. I suggest that draft-spiegel-ippm-ioam-rawexport is being adopted together with draft-gfz-opsawg-ipfix-alt-mark. With that we are covering both Hybrid Type options developed at IPPM.

In order to pool the IPFIX entity definitions, I believe OPSAWG would be the best place to move with draft-spiegel-ippm-ioam-rawexport forward.

I would appreciate feedback from IPPM and OPSAWG wherever they share my opinion or not.

Best wishes
Thomas